Summary: Public API to JP service internal interface
Name: glite-lbjp-common-jp-interface
Version: 2.2.3
Release: 1%{?dist}
Url: http://glite.cern.ch
License: ASL 2.0
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: chrpath
BuildRequires: cppunit-devel
BuildRequires: glite-jobid-api-c-devel
BuildRequires: glite-lbjp-common-db-devel
BuildRequires: glite-lbjp-common-trio-devel
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
AutoReqProv: yes
Source: http://eticssoft.web.cern.ch/eticssoft/repository/emi/emi.lbjp-common.jp-interface/%{version}/src/%{name}-2.2.3-1.src.tar.gz


%description
Definiton of interfaces required to build plugins for JP services and
implementation of minimal library of support
functions.


%package devel
Summary: Development files for gLite L&B/JP interface library
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}


%description devel
This package contains development libraries and header files for gLite L&B/JP
interface library.


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=%{_lib} --project=emi --module lbjp-common.jp-interface --version 2.2.3-1
make


%check
make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
/usr/%{_lib}/libglite_jp_common.so.2.2.3
/usr/%{_lib}/libglite_jp_common.so.2


%files devel
%defattr(-,root,root)
%dir /usr/include/glite
%dir /usr/include/glite/jp
/usr/include/glite/jp/types.h
/usr/include/glite/jp/indexdb.h
/usr/include/glite/jp/attr.h
/usr/include/glite/jp/file_plugin.h
/usr/include/glite/jp/context.h
/usr/include/glite/jp/type_plugin.h
/usr/include/glite/jp/backend.h
/usr/include/glite/jp/known_attr.h
/usr/include/glite/jp/builtin_plugins.h
/usr/%{_lib}/libglite_jp_common.so


%changelog
* Wed Jun 05 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.2.3-1%{?dist}
- automatically generated package
